import QtQuick 1.0

/**
 * Show an image representing an LED segment.
 *
 * @author Copyright (c) Andrew Flegg 2011. Released under the Artistic Licence.
 */
Item {
    property string value: '8'
    height: parent.height
    width: values.digit_width

    Image {
        width: sourceSize.width * values.scale
        height: sourceSize.height * values.scale
        fillMode: Image.PreserveAspectFit
        smooth: true
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        source:  '../../images/led-' + value + '.png'
    }
}
