import QtQuick 1.0
import QtMobility.systeminfo 1.1

Item {
    id: root
    width: 854
    height: 480

    /**
     * The main element which does the work. Displays the time.
     */
    Clock {
        id: clock

        MouseArea {
            anchors.fill: parent
            onDoubleClicked: clock.dimmed = !clock.dimmed
        }
    }

    /**
     * Allows access to the screensaver of the device; allowing it to be
     * disabled when the app is in the foreground.
     */
    ScreenSaver {
        id: screenSaver
    }

    /**
     * As the viewport becomes visible, manage whether the screensaver is
     * disabled and the timers active.
     */
    Connections {
        target: activeMonitor
        onChanged: {
            screenSaver.setScreenSaverInhibit(activeMonitor.active)
            clock.active = activeMonitor.visible

            console.log("AM Visible ["+ activeMonitor.visible +"], active [" + activeMonitor.active + "]")
        }
    }

    /**
     * On Maemo 5, we want to show a "minimise" button.
     */
    HildonTaskButton {
        anchors.left: parent.left
        icon: 'wmTaskSwitcherIcon'

        onClicked: {
            viewer.minimise()
        }
    }

    /**
     * On Maemo 5, we want to show a "close" button.
     */
    HildonTaskButton {
        anchors.right: parent.right
        icon: 'wmCloseIcon'
        onClicked: {
            Qt.quit()
        }
    }
}
