import QtQuick 1.0
import com.meego 1.0 // com.nokia.meego is better, but is then always used in Simulator

PageStackWindow {
    id: window
    showStatusBar: false
    showToolBar: false

    initialPage: Page {
        Main {
            anchors.fill: parent
        }
    }

    Component.onCompleted: {
        if (platformWindow)
            activeMonitor.external = true
        console.log("Set activeMonitor external modification = " + activeMonitor.external)
    }

    Connections {
        target: platformWindow
        onVisibleChanged: updateVisible()
        onActiveChanged: updateVisible()
    }

    function updateVisible() {
        console.log("PW Visible ["+ platformWindow.visible +"], active [" + platformWindow.active + "]")

        activeMonitor.visible = platformWindow.visible
        activeMonitor.active  = platformWindow.active
    }
}
